Subject: bug#13523: 24.2.92; [regression] mark-active

From: Glenn Morris <[email-masked]>
Date: Tue, 29 Jan 2013 21:00:42 -0500

Stefan Monnier wrote:

>>>> If at the end, point has not moved and the last event was
>>>> mouse-set-point or mouse-set-region, it deactivates and pops the mark.
[...]
> Fixing it right is clearly out of scope of 24.3, but I don't know either
> how to patch it up for 24.3.

Can we turn the test around, so that rather than saying "deactivate the
mark if the final event was mouse-set-point or mouse-set-region", we say
"deactivate the mark unless the final event was X or Y"?
(I don't know what X or Y are, something related to multi-clicks I guess.)